Subject: bug#30728: Modification for guix installation script.

From: Clément Lassieur <[email-masked]>
Date: Thu, 29 Mar 2018 10:24:57 +0200

Hi Tatiana,

Tatiana Sholokhova <[email-masked]> writes:

> Hello!
>
>
>     Could you please make that change on top of the current version of the
>     Guix sources as a git commit? Then you can run “git format-patch -1” to
>     format it as a patch in a format that we can apply. You can send the
>     resulting patch file as an attachment to a reply to this email.
>     This also fixes bug #30728, so please add this line to the commit
>     message:
>     --
>     Ricardo
>
>
> I have attached the patch file to this email. This patch fixes the installation
> process but it placeguixwithin root's directory.
>
>
>     I personally prefer that the Guix daemon points to my home directory
>     because I don't want to update root's profile. Some other people might
>     prefer that it points to ~root because they might later delete their
>     profile and want Guix to keep working.
>
>
>     Do we have to take a decision here? Can't we just let the user decide
>     by letting them customize their environment variables? I think it is
>     the point of environment variables: giving freedom to users.
>
>
> We can further work on the script's flexibility using the environment variable
> solution.

Thank you for your patch.  The one Chris did has been pushed, but if you
want, you can still work on improving the script's flexibility.  I still
haven't seen any valid argument for or against it, though, so I don't
know if it's a good idea.  Maybe we can wait until someone says
something about it!

Clément